body {
  margin: 0;
  font-family: "Poppins", sans-serif;
  background: black;
  color: white;
  overflow-x: hidden;
}

/* Background */
#bg {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
}

/* GLOBAL */
section {
  padding: 80px 20px;
  text-align: center;
}

/* HERO */
.hero {
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.title {
  font-size: 3.5rem;
  background: linear-gradient(90deg, #3b82f6, #a855f7, #ec4899);
  -webkit-background-clip: text;
  background-clip: text;
  background-clip: text;
  background-clip: text;
  background-clip: text;
  background-clip: text;
  background-clip: text;
  color: transparent;
}

.subtitle {
  color: #94a3b8;
}

/* DNA */
.section-title {
  font-size: 2rem;
  background: linear-gradient(90deg, #ec4899, #3b82f6);
  -webkit-background-clip: text;
  color: transparent;
}

.dna-label {
  color: #cbd5f5;
  margin-bottom: 20px;
}

.dna {
  position: relative;
  width: 260px;
  height: 420px;
  margin: auto;
}

.dna::before {
  content: "";
  position: absolute;
  left: 50%;
  width: 3px;
  height: 100%;
  background: linear-gradient(#3b82f6, #ec4899);
  transform: translateX(-50%);
  box-shadow: 0 0 20px #ec4899;
}

.strand {
  position: absolute;
  width: 100%;
  display: flex;
  justify-content: space-between;
  animation: spin 12s linear infinite; /* slower */
}

.code {
  padding: 8px 12px;
  border-radius: 12px;
  font-size: 13px; /* bigger text */
  font-family: monospace;
  opacity: 1;
  box-shadow: 0 0 12px rgba(255, 255, 255, 0.5);
}

.c1 {
  background: #3b82f6;
}
.c2 {
  background: #10b981;
}
.c3 {
  background: #ec4899;
}
.c4 {
  background: #f59e0b;
}

.strand:nth-child(even) {
  transform: rotateY(40deg);
}
.strand:nth-child(odd) {
  transform: rotateY(-40deg);
}

@keyframes spin {
  0% {
    transform: rotateY(0deg);
  }
  100% {
    transform: rotateY(360deg);
  }
}

/* IMPACT IMAGES */
.impact-grid {
  display: flex;
  justify-content: center;
  gap: 30px;
  margin: 30px 0;
  flex-wrap: wrap;
}

.impact-grid img {
  width: 260px;
  border-radius: 15px;
  box-shadow: 0 0 20px rgba(255, 255, 255, 0.2);
  transition: 0.4s;
}

.impact-grid img:hover {
  transform: scale(1.08) rotate(2deg);
}

/* STORY */
.story h2 {
  font-size: 2.5rem;
  background: linear-gradient(90deg, #3b82f6, #ec4899);
  -webkit-background-clip: text;
  color: transparent;
}

.story p {
  color: #cbd5f5;
}

.story {
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  transition: 1s;
}

/* FINAL */
.final h2 {
  font-size: 2.8rem;
  background: linear-gradient(90deg, #3b82f6, #ec4899);
  -webkit-background-clip: text;
  color: transparent;
}

/* ANIMATIONS */
.hidden {
  opacity: 0;
  transform: translateY(80px);
}

.show {
  opacity: 1;
  transform: translateY(0);
  transition: all 5s ease;
}
.strand:nth-child(even) {
  transform: rotateY(30deg);
}
.strand:nth-child(odd) {
  transform: rotateY(-30deg);
}
